import os


class ProjectInitialization:
    def __init__(self):
        self.detail_clinical_path = '../dataset/detail/'
        self.raw_matrix_path = '../dataset/raw_data/raw_matrix/'
        self.raw_matrix5000_path = '../dataset/raw_data/matrix_5000/'
        self.raw_days_path = '../dataset/raw_data/raw_days/'
        self.raw_headers_path = '../dataset/raw_data/raw_headers/'
        self.raw_regression_path = '../dataset/raw_data/raw_regression/'
        self.var_matrix_path = '../dataset/raw_data/var_matrix/'
        self.var_header_path = '../dataset/raw_data/var_header/'
        self.intersection_matrix_path = '../dataset/raw_data/intersection_matrix/'
        self.final_matrix_path = '../dataset/raw_data/final_matrix/'
        self.final_label_path = '../dataset/raw_data/final_label/'
        self.final_days_path = '../dataset/raw_data/final_days/'
        self.clf_data_path = '../dataset/clf_data/'
        self.fs_data_path = '../dataset/fs_data/'
        self.fc_data_path = '../dataset/fc_data/'
        self.predict_result_path = '../dataset/fc_data/predict/'
        self.fs_header_path = '../dataset/fs_data/headers/'
        self.fc_header_path = '../dataset/fc_data/headers/'
        self.clf_record_path = '../record/clf_record/'
        self.fs_record_path = '../record/fs_record/'
        self.fc_record_path = '../record/fc_record/'
        self.model_save_path = '../regression/model_weight/'
        self.compare_matrix_path = '../dataset/fs_data/compare/'
        self.feature_analysis_path = '../record/feature_analysis/'

    def create_directory(self):
        if not os.path.exists('../dataset/'):
            os.mkdir('../dataset/')
        if not os.path.exists('../dataset/raw_data/'):
            os.mkdir('../dataset/raw_data/')
        if not os.path.exists(self.detail_clinical_path):
            os.mkdir(self.detail_clinical_path)
        if not os.path.exists(self.raw_matrix_path):
            os.mkdir(self.raw_matrix_path)
        if not os.path.exists(self.raw_matrix5000_path):
            os.mkdir(self.raw_matrix5000_path)
        if not os.path.exists(self.raw_days_path):
            os.mkdir(self.raw_days_path)
        if not os.path.exists(self.raw_headers_path):
            os.mkdir(self.raw_headers_path)
        if not os.path.exists(self.raw_regression_path):
            os.mkdir(self.raw_regression_path)
        if not os.path.exists(self.var_matrix_path):
            os.mkdir(self.var_matrix_path)
        if not os.path.exists(self.var_header_path):
            os.mkdir(self.var_header_path)
        if not os.path.exists(self.intersection_matrix_path):
            os.mkdir(self.intersection_matrix_path)
        if not os.path.exists(self.final_matrix_path):
            os.mkdir(self.final_matrix_path)
        if not os.path.exists(self.final_label_path):
            os.mkdir(self.final_label_path)
        if not os.path.exists(self.final_days_path):
            os.mkdir(self.final_days_path)
        if not os.path.exists(self.clf_data_path):
            os.mkdir(self.clf_data_path)
        if not os.path.exists(self.fs_data_path):
            os.mkdir(self.fs_data_path)
        if not os.path.exists(self.fc_data_path):
            os.mkdir(self.fc_data_path)
        if not os.path.exists(self.predict_result_path):
            os.mkdir(self.predict_result_path)
        if not os.path.exists(self.fs_header_path):
            os.mkdir(self.fs_header_path)
        if not os.path.exists(self.fc_header_path):
            os.mkdir(self.fc_header_path)
        if not os.path.exists(self.clf_record_path):
            os.mkdir(self.clf_record_path)
        if not os.path.exists(self.fs_record_path):
            os.mkdir(self.fs_record_path)
        if not os.path.exists(self.fc_record_path):
            os.mkdir(self.fc_record_path)
        if not os.path.exists(self.model_save_path):
            os.mkdir(self.model_save_path)
        if not os.path.exists(self.compare_matrix_path):
            os.mkdir(self.compare_matrix_path)
        if not os.path.exists(self.feature_analysis_path):
            os.mkdir(self.feature_analysis_path)


